# Common Issues

### List of common issue

<details>

<summary>❌ Error not exist in client-side | ❌ Error getting entity control</summary>

If you encounter one of the following errors:

* ❌ *Error not exist in client-side*
* ❌ *Error getting entity control*

First, check if you are using **OneSync** and **OneSync Infinity**.

We also recommend adding the following settings to your `server.cfg`:

```
onesync on
onesync_enableInfinity 1
onesync_distanceCullVehicles true
onesync_forceMigration true
onesync_population false
onesync_distanceCulling false
```

If the issue still persists while running a custom mission you created, use the **debug method** to verify that the transmitted data (such as `networkId`, `entityId`, etc.) is valid.

</details>

<details>

<summary>Error: Please update your config/config.lua file for Config.Sql (sql/nonsql)</summary>

If you encounter this error message in the **server console**, go to `config/config.lua` and choose your database type: **SQL** or **NoSQL**.

{% hint style="danger" %}
The **NoSQL option is only intended for MongoDB**.\
In 99% of cases, you should leave the default option set to **SQL**.
{% endhint %}

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redutzu.com/resources/gang-activities/common-issues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
